Ruby: pm_alias_global_variable_node Struct Reference

Ruby 3.4.5p51 (2025-07-16 revision 20cda200d3ce092571d0b5d342dadca69636cb0f)

Data Fields
pm_alias_global_variable_node Struct Reference

AliasGlobalVariableNode. More...

`#include <ast.h>`

## Data Fields
pm_node_t | base
| The embedded base node.
struct pm_node * | new_name
| AliasGlobalVariableNode#new_name.
struct pm_node * | old_name
| AliasGlobalVariableNode#old_name.
pm_location_t | keyword_loc
| AliasGlobalVariableNode#keyword_loc.
Data Fields inherited from pm_node
pm_node_type_t | type
| This represents the type of the node.
pm_node_flags_t | flags
| This represents any flags on the node.
uint32_t | node_id
| The unique identifier for this node, which is deterministic based on the source.
pm_location_t | location
| This is the location of the node in the source.

## Detailed Description

AliasGlobalVariableNode.

Represents the use of the alias keyword to alias a global variable.

    alias $foo $bar
    ^^^^^^^^^^^^^^^

Type: PM_ALIAS_GLOBAL_VARIABLE_NODE

Definition at line 1107 of file ast.h.

## Field Documentation

## ◆ base

pm_node_t pm_alias_global_variable_node::base

The embedded base node.

Definition at line 1109 of file ast.h.

Referenced by pm_dump_json().

## ◆ keyword_loc

pm_location_t pm_alias_global_variable_node::keyword_loc

AliasGlobalVariableNode#keyword_loc.

The location of the alias keyword.

    alias $foo $bar
    ^^^^^

Definition at line 1140 of file ast.h.

Referenced by pm_dump_json().

## ◆ new_name

struct pm_node* pm_alias_global_variable_node::new_name

AliasGlobalVariableNode#new_name.

Represents the new name of the global variable that can be used after aliasing.

    alias $foo $bar
          ^^^^

Definition at line 1120 of file ast.h.

Referenced by pm_dump_json(), pm_node_destroy(), and pm_visit_child_nodes().

## ◆ old_name

struct pm_node* pm_alias_global_variable_node::old_name

AliasGlobalVariableNode#old_name.

Represents the old name of the global variable that can be used before aliasing.

    alias $foo $bar
               ^^^^

Definition at line 1130 of file ast.h.

Referenced by pm_dump_json(), pm_node_destroy(), and pm_visit_child_nodes().

The documentation for this struct was generated from the following file:

- prism/ast.h